Bug 161668 - Critical patch for net/quagga
Critical patch for net/quagga
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Ryan Steinmetz
Depends on:
  Show dependency treegraph
Reported: 2011-10-14 22:00 UTC by mike
Modified: 2011-10-18 15:50 UTC (History)
0 users

See Also:

quagga.diff (1.12 KB, patch)
2011-10-18 14:52 UTC, boris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike 2011-10-14 22:00:15 UTC
There is a needed patch for quagga, specifically bgpd that prevents it from leaking memory.  On a busy router, it leaks about 1MB every 10min. Description of the problem and patch are found 


--- bgpd/bgp_attr.c
+++ bgpd/bgp_attr.c
@@ -675,6 +675,7 @@ bgp_attr_unintern (struct attr **attr)

   bgp_attr_unintern_sub (&tmp);
+  bgp_attr_extra_free (&tmp);


The above patch can be added into the files directory of the port and I added 
to the port's Makefile
How-To-Repeat: startup quagga with bgp and a full table.  Watch memory usage grow.
Comment 1 Ryan Steinmetz freebsd_committer 2011-10-15 13:05:21 UTC
Maintainer of net/quagga,

Please note that PR ports/161668 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
Comment 2 Ryan Steinmetz freebsd_committer 2011-10-15 13:05:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 3 boris 2011-10-18 14:52:53 UTC

     Agreed, but full patch attached.


Comment 4 dfilter freebsd_committer 2011-10-18 15:43:53 UTC
zi          2011-10-18 14:43:45 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile 
  Added files:
    net/quagga/files     patch-bgpd__bgp_attr.c 
  - Resolve memory leak in bgpd
  WWW: http://lists.quagga.net/pipermail/quagga-users/2011-October/012529.html
  PR:             ports/161668
  Submitted by:   Mike Tancsa <mike@sentex.net>
  Approved by:    Boris Kovalenko <boris@tagnet.ru> (maintainer)
  Obtained from:  quagga-users mailing list
  Revision  Changes    Path
  1.114     +1 -0      ports/net/quagga/Makefile
  1.1       +10 -0     ports/net/quagga/files/patch-bgpd__bgp_attr.c (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ryan Steinmetz freebsd_committer 2011-10-18 15:44:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!